eu.smoser.dungeongenerator.dungeon.objects

## Class ADungeonObject

- java.lang.Object
- - eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

Direct Known Subclasses:
  Enemy, Magic, Special, Trap, Treasure

    public abstract class ADungeonObject
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `descString` The description of the object

### Constructor Summary

Constructors
Constructor and Description
`ADungeonObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### descString

    protected java.lang.String descString

The description of the object

### Constructor Detail

#### ADungeonObject

    public ADungeonObject()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`